API CodexAPI Codex
WebsiteDashboardGet API Key
  • Documentation
  • All APIs
  • Changelog
Resources
  • Docs Home
  • API Catalog
  • API Codex Website
Platform
  • Get a free API key
  • Dashboard
  • APIs & Pricing

© 2026 API Codex. All rights reserved.

Information
Other endpoints
    Analyze textpostAnalyze file uploadpost
Schemas
powered by Zudoku
Text Analysis API
Text Analysis API

Other endpoints


Analyze text

POST
https://api.apicodex.io/parser
/v1/analyze/text

Analyzes the provided text for patterns and performs NLP analysis

Analyze text › Request Body

text
​string · required

Text to analyze

Analyze text › Responses

Successful response

success
​boolean · required

Whether the detection was successful

analyzed_at
​string · date-time · required

Timestamp of the analysis

​object · required
count
​integer · required

Total number of detections

​NLPAnalysisResults
POST/v1/analyze/text
curl 'https://api.apicodex.io/parser/v1/analyze/text?apikey=<api-key>' \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "text": "text" }'
Example Request Body
{ "text": "text" }
json
Example Responses
{ "success": true, "analyzed_at": "2024-08-25T15:00:00Z", "detections": { "emails": [ { "value": "value", "position": 0 } ], "urls": [ { "value": "value", "position": 0 } ], "ip_addresses": [ { "value": "value", "position": 0 } ], "credit_cards": [ { "value": "value", "position": 0, "flags": [ "string" ] } ], "phone_numbers": [ { "value": "value", "position": 0 } ], "dates": [ { "value": "value", "position": 0 } ], "currencies": [ { "value": "value", "position": 0 } ], "measurements": [ { "value": "value", "position": 0 } ], "accounts": [ { "value": "value", "position": 0 } ], "addresses": [ { "value": "value", "position": 0 } ], "languages": [ { "value": "value", "position": 0 } ] }, "count": 0, "nlp_analysis": { "languages": [ "string" ], "entities": { "people": [ "string" ], "organizations": [ "string" ], "locations": [ "string" ] }, "topics": [ "string" ], "categories": [ "string" ], "keywords": [ "string" ], "summary": "summary", "sentiment": "positive", "moderation": { "flagged": true, "reasons": [ "string" ] } } }
json
application/json

Analyze file upload

POST
https://api.apicodex.io/parser
/v1/analyze/upload

Analyzes text extracted from an uploaded file

Analyze file upload › Request Body

file
​string · required

File to analyze (PDF, DOCX, TXT, HTML)

Analyze file upload › Responses

Successful response

success
​boolean · required

Whether the detection was successful

analyzed_at
​string · date-time · required

Timestamp of the analysis

​object · required
count
​integer · required

Total number of detections

​NLPAnalysisResults
original_file_size
​integer

Size of the original file in bytes

extracted_text_length
​integer

Length of the extracted text in characters

POST/v1/analyze/upload
curl 'https://api.apicodex.io/parser/v1/analyze/upload?apikey=<api-key>' \ --request POST \ --header 'Content-Type: multipart/form-data' \ --form 'file=file'
Example Request Body
{ "file": "file" }
text
Example Responses
{ "success": true, "analyzed_at": "2024-08-25T15:00:00Z", "detections": { "emails": [ { "value": "value", "position": 0 } ], "urls": [ { "value": "value", "position": 0 } ], "ip_addresses": [ { "value": "value", "position": 0 } ], "credit_cards": [ { "value": "value", "position": 0, "flags": [ "string" ] } ], "phone_numbers": [ { "value": "value", "position": 0 } ], "dates": [ { "value": "value", "position": 0 } ], "currencies": [ { "value": "value", "position": 0 } ], "measurements": [ { "value": "value", "position": 0 } ], "accounts": [ { "value": "value", "position": 0 } ], "addresses": [ { "value": "value", "position": 0 } ], "languages": [ { "value": "value", "position": 0 } ] }, "count": 0, "nlp_analysis": { "languages": [ "string" ], "entities": { "people": [ "string" ], "organizations": [ "string" ], "locations": [ "string" ] }, "topics": [ "string" ], "categories": [ "string" ], "keywords": [ "string" ], "summary": "summary", "sentiment": "positive", "moderation": { "flagged": true, "reasons": [ "string" ] } }, "original_file_size": 0, "extracted_text_length": 0 }
json
application/json